Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2908 closed defect (fixed)

FAT filename comparison is broken

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 4.11.2
Component: fs/fat Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

For a filename match the entry must match without anything remaining.

Change History (4)

comment:1 Changed on 02/14/17 at 07:09:02 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In [changeset:"d9c6542970eb0a7106499e5e43750cca8161d96b/rtems"]:

dosfs: Fix msdos_find_file_in_directory()

For a filename match the entry must match without anything remaining.

Close #2908.

comment:2 Changed on 02/14/17 at 07:10:12 by Sebastian Huber <sebastian.huber@…>

In [changeset:"04684cbc436f79339854c4bca22f65bb947f6949/rtems"]:

dosfs: Fix msdos_find_file_in_directory()

For a filename match the entry must match without anything remaining.

Update #2908.

comment:3 Changed on 02/14/17 at 07:10:52 by Sebastian Huber

Description: modified (diff)
Milestone: 4.124.11.2

comment:4 Changed on 10/10/17 at 06:50:58 by Sebastian Huber

Component: fsfs/fat
Note: See TracTickets for help on using tickets.